SynqedDocs
API referenceDocuments

Delete a document

Deletes the document and its search index entries.

DELETE
/documents/{id}

Deletes the document and its search index entries.

Authorization

bearerAuth
headerAuthorizationBearer <sk_live_<region>_<secret>>

Path Parameters

id*string

Object id.

Match^(?!\.\.?$)(?!__.*__$)[^/]+$
Length1 <= length <= 200

Response Body

Success

application/json
  1. response
id*string
object*string
deleted*boolean
Example Request
curl -X DELETE 'https://api.synqed.dev/v1/documents/string'
Example Response
{  "id": "string",  "object": "string",  "deleted": true}